$(document).ready(function() {
    cargarFuncionarios();

});



function cargarFuncionarios() {
    $.ajax({
        type: 'post',
        url: 'usuariosCargar-ajax.php',
        success: function(data) {

            //alert(data);
            $("#tableContent").html(data).fadeIn('slow');

            jQuery('#tablaFuncionarios').DataTable({
                responsive: true
            });

        },
        error: function(msg) {

            alert('No se pudo cargar la información');

        },
        complete: function() {

        }
    })

}

function solicitaRecuperar(par1, par2) {

    $.ajax({
        url: 'funcionariosRecuperar-ajax.php?par1=' + par1,
        success: function(data) {

            $("#div_datos").html(data).fadeIn('slow');
            $('#md_modal_funcionario').modal('show');

        }
    })

}

function solicita_eliminar(par1, par2) {

    $('#md_modal_confirmar_lbl_mensaje').text('');

    $('#md_modal_mensaje_titulo').text('');
    $('#md_modal_confirmar_txt_id').val(par1);
    $('#md_modal_confirmar_titulo').text('Eliminación de un lugar');
    $('#md_modal_confirmar_div_contenido').html('¿Está seguro de eliminar el lugar <b>' + par2 + '</b>?');
    $('#md_modal_confirmar_btn_aceptar').unbind()
    $('#md_modal_confirmar_btn_aceptar').click(eliminar_lugar);
    $('#md_modal_confirmar').modal('show');

}

function eliminar_lugar() {

    var v_par1 = $('#md_modal_confirmar_txt_id').val();

    $.ajax({
        type: 'post',
        url: 'lugares_eliminar-ajax.php',
        data: {
            par1: v_par1
        },
        dataType: 'json',
        beforeSend: function() {
            //mostrar_blockUI();
        },
        success: function(msg) {

            if (msg.success) {

                cargarParametros();

                $('#md_modal_confirmar').modal('hide');

                $('#md_modal_mensaje').modal('show');
                $('#md_modal_mensaje_titulo').text('Eliminación de un lugar');
                $('#md_modal_mensaje_div_contenido').html('El lugar fue eliminado correctamente.');

            } else {

                $('#md_modal_confirmar_lbl_mensaje').text(msg.mensaje);

            }
        },
        error: function(msg) {

            $('#md_modal_confirmar_lbl_mensaje').text('No se pudo eliminar el lugar');

        },
        complete: function() {
            //ocultar_blockUI();			
        }

    });

}

function guardar_lugar() {

    $.ajax({
        type: 'post',
        url: 'lugares_guardar-ajax.php',
        dataType: 'json',
        beforeSend: function() {
            //mostrar_blockUI();
        },
        async: false,
        data: $("#frm_lugar").serialize(),
        success: function(msg) {

            if (msg.success) {

                // Credenciales aceptadas
                cargarParametros();
                $('#md_modal_lugar').modal('hide');
                $('#md_modal_mensaje_titulo').text('Guardar lugar');
                $('#md_modal_mensaje_div_contenido').html(msg.mensaje);
                $('#md_modal_mensaje_cerrar').unbind()
                $('#md_modal_mensaje').modal('show');

            } else {

                $('#md_modal_lugar').modal('hide');
                $('#md_modal_mensaje_cerrar').unbind()
                $('#md_modal_mensaje_cerrar').click(mostrarLugar);
                $('#md_modal_mensaje_titulo').text('Guardar lugar');
                $('#md_modal_mensaje_div_contenido').html(msg.mensaje);
                $('#md_modal_mensaje').modal('show');

            }
        },
        error: function(msg) {

            // Error en la llamada al archivo de autenticación
            alert('Error');
        },
        complete: function() {

            //ocultar_blockUI();

        }
    });

}

function mostrarLugar() {

    $('#md_modal_lugar').modal('show');
    $('#cmb_sede').focus();

}